# COMPAS Assembly

[![GitHub - License](https://img.shields.io/github/license/blockresearchgroup/compas_assembly.svg)](./LICENSE)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/compas_assembly.svg)](https://pypi.python.org/project/compas_assembly)
[![PyPI - Latest Release](https://img.shields.io/pypi/v/compas_assembly.svg)](https://pypi.python.org/project/compas_assembly)

Assembly data structure for the COMPAS framework.

## Installation

Basic installation with `pip`.

```bash
pip install compas_assembly
```

Installation with `pip` in a `conda` environment.

```bash
conda create -n assembly compas
conda activate assembly
pip install compas_assembly
```

To use the viewer for visualisation of assemblies outside of CAD software, install `compas_view2`.

```bash
conda install compas_view2
```

## First Steps

Try one of the examples included in the `examples` folder.

## Questions and feedback

For questions and discussions try the forum: <https://forum.compas-framework.org/>.

## Issue tracker

If you find a bug, please help us solve it by [filing a report](https://github.com/blockresearchgroup/compas_assembly/issues).

## Changelog

See changes between releases on the [changelog](https://github.com/blockresearchgroup/compas_assembly/latest/changelog.html).

## License

`compas_ssembly` is [released under the MIT license](https://github.com/blockresearchgroup/compas_assembly/latest/license.html).

## Credits

See the [list of authors](AUTHORS.md) for an overview of the contributors.
